// jQuery for page scrolling feature - requires jQuery Easing plugin
$(function() {
    $('a.page-scroll').bind('click', function(event) {
        var $anchor = $(this);
        $('html, body').stop().animate({
            scrollTop: $($anchor.attr('href')).offset().top
        }, 1500, 'easeInOutExpo');
        event.preventDefault();
    });
});

// Highlight the top nav as scrolling occurs
$('body').scrollspy({
    target: '.navbar-fixed-top'
});




var posBobina = 0;
 $(document).ready(function(){
	
	//$('.myCarousel').carousel();
	
	//$('[data-toggle="tooltip"]').tooltip(); 
	$('#addBobina').click(function() {
		   posBobina = posBobina + 1;
		   $('#anchura').val();
		   $('#tablaBobinas tbody').append('<tr id="row_'+posBobina+'"><td class="text-center">1500</td>'+
		    '<td class="text-center">2000</td>'+
			'<td class="text-center">5</td>'+
			'<td class="text-center">'+											  
			'<a onclick="eliminarFila('+posBobina+')" class="btn btn-link btn-md" data-toggle="tooltip" role="button" title="Eliminar">'+
			'<!--<span class="glyphicon glyphicon-trash"></span>--> Eliminar</a>'+											
			'</td>'+
		   '</tr>');
		});									
});
 
 
 
 function seleccionaVehiculo(pos){
		
		$( "[id*='selVehiculo']").removeClass("pulsado colorSeleccionado");
		$( "[id*='seleccionaVehiculoSpan']").removeClass("a-btn-icon-right-sel");	
		$("#seleccionaVehiculoSpan"+pos).addClass("a-btn-icon-right-sel");	
		$("#selVehiculo"+pos).addClass("pulsado colorSeleccionado");
		 transporteObj.vehiculo=pos;
	}
	var elegido=0;
	function seleccionaTipoSujecion(pos){


		
		if($("#selTipoSujecion"+pos)!=elegido){
			if(elegido==0){
				elegido=pos;
				$( "[id*='selTipoSujecion']").removeClass("pulsado colorSeleccionado");
				$( "[id*='seleccionaTipoSujecionSpan']").removeClass("a-btn-icon-right-sel");	
				$("#seleccionaTipoSujecionSpan"+pos).addClass("a-btn-icon-right-sel");	
				$("#selTipoSujecion"+pos).addClass("pulsado colorSeleccionado");
				transporteObj.tipoSujecion = pos ;
			}else if(elegido==1 && pos==2 || elegido==2 && pos==1 || elegido==3 && pos==4 || elegido==4 && pos==3){
				$( "[id*='selTipoSujecion']").removeClass("pulsado colorSeleccionado");
				$( "[id*='seleccionaTipoSujecionSpan']").removeClass("a-btn-icon-right-sel");	
				$("#seleccionaTipoSujecionSpan"+pos).addClass("a-btn-icon-right-sel");	
				$("#selTipoSujecion"+pos).addClass("pulsado colorSeleccionado");
				elegido=pos;
				transporteObj.tipoSujecion = pos ;
			}else if(elegido==1 && pos==3 || elegido==1 && pos==4 || elegido==2 && pos==4 || elegido==2 && pos==3|| elegido==3 && pos==1 || elegido==3 && pos==2 || elegido==4 && pos==1 || elegido==4 && pos==2){
			
			//alert('se va a proceder a eleminar los feljes/bobinas de la tabla <br/> ¿Quiere continuar?');
				
				
			}
			
		}
	}
	 var posdensidad;
	function seleccionaDensidad(pos){
		$( "[id*='selDensidad']").removeClass("pulsado colorSeleccionado");
		$( "[id*='seleccionaDensidadSpan']").removeClass("a-btn-icon-right-sel");	
		$("#seleccionaDensidadSpan"+pos).addClass("a-btn-icon-right-sel");	
		$("#selDensidad"+pos).addClass("pulsado colorSeleccionado");
		
		 
		var di=document.getElementById("dinterior").value/1000;
		
		var de=document.getElementById("dexterior").value/1000;

		var pi=(Math.PI);
		
		var b=document.getElementById("anchura").value/1000;


		if(pos==1){
			p=8.94*1000;
			posdensidad = pos;		
		}else if(pos==2){
			p=8.44*1000;
			posdensidad  = pos;	
		}
		else if(pos==3){
			p=2.70*1000;
			posdensidad = pos;	
			
		}else if(pos==4){
			p=8.10*1000;
			posdensidad = pos;	
		} 
		

	var predensidad=(((de*de)-(di*di))*pi*b*p/4)/1000 ;
	densidad=predensidad.toFixed(4);

	$('#pesoestimado').html('<div class="alert alert-success"><a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>El peso estimado de la bobina es de <span id="#ndensidad" style="font-size:25px;">'+densidad+'</span> toneladas</div>');
	return pos;
	}
  
 
 /*AÑADIR BOBINAS*/

var densidad;
 var mostradop;
 var mostradodi;
 var mostradoa;
 var mostradode;
 var mostradosujecion;
 var errores=0; 
 var mostradomensaje;
 function aniadirBobina(){
	 
	mensaje="Se han producido los siguientes errores:"; 
	 mensajesujecion="<li id='mensajesuj'> No has elegido el tipo de sujeción</li>";
	 mensajea="<li id='mensajean'> La anchura a de ser mayor que 0 y menor que 2000 mm </li>";
	 mensajede="<li id='mensajedext'> El diametro exterior  a de ser mayor que 1000 mm y menor que 2000 mm</li>";
	 mensajedi="<li id='mensajedint'> El diametro interior a de ser menor que 500mm</li>";
	 mensajep="<li  id='mensajepe'>El peso a de ser mayor que 4 toneladas y menor que 30 toneladas</li>";
	
	 if($('#selTipoSujecion1').hasClass("pulsado colorSeleccionado") || $('#selTipoSujecion2').hasClass("pulsado colorSeleccionado") || $('#selTipoSujecion3').hasClass("pulsado colorSeleccionado") || $('#selTipoSujecion4').hasClass("pulsado colorSeleccionado") ){
			var borrarmensajec = document.getElementById('mensajesuj');
			if(borrarmensajec!=null){
				borrarmensajec.remove();
				mostradocamion="no";
				errores=errores-1;
			}
	 var a=document.getElementById("anchura").value;
	 var anchura=null;
	 if(a != null && a >0 && a<=2000){
		 anchura=a;	
		 var borrarmensajea = document.getElementById('mensajean');		 
		 if(borrarmensajea!=null){
		 borrarmensajea.remove();
		 mostradoa = "no";
		 }
		 if(errores!=0){
			 errores=errores-1;
			 }
		
	 }else{
		var texto = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradoa != "si"){
		$('#mensajeErrores').html(texto + mensajea);
		}
		mostradoa = "si";
		errores=errores+1;
		
	 }
		 
	 /* DIAMETRO EXTERIOR */
	 
	 var exterior=document.getElementById("dexterior").value;
	 var dexterior=null;
	 if( exterior!="" && exterior>=1000 && exterior<=2000){
		 dexterior=exterior;
		 var borrarmensajed = document.getElementById('mensajedext');		 
		if(borrarmensajed!=null){
		 borrarmensajed.remove();
		 mostradode = "no";
		}
			if(errores!=0){
				 errores=errores-1;
			 }
		
	}else{
		var texto = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradode != "si"){
		 $('#mensajeErrores').html(texto + mensajede);
		}
		mostradode = "si";
		errores=errores+1;
		
		
	}
	 
	 /* DIAMETRO INTERIOR */
	 
	 var interior=document.getElementById("dinterior").value;
	 var dinterior=null;
	 
	 if(interior!="" && interior!="" && interior>=0 && interior<=500){
		 dinterior=interior;
		 var borrarmensajedi = document.getElementById('mensajedint');		 
		 
		 if(borrarmensajedi!=null){
			 borrarmensajedi.remove();
			 mostradodi = "no";
			 
		 }
		 if(errores!=0){
			 errores=errores-1;
			 }
	
	}else{
		var texto = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradodi != "si"){
		 $('#mensajeErrores').html(texto + mensajedi);
		}
		mostradodi = "si";
		errores=errores+1;
		
		
	}

	 /* PESO */
	 var p = document.getElementById("peso").value;
	 var peso = null;
	 if(p!="" && p>=4 && p<=30){
		 peso=p;
		 var borrarmensajep = document.getElementById('mensajepe');		 
		if(borrarmensajep!=null){
			 borrarmensajep.remove();
			 mostradop = "no";
		  }
		if(errores!=0){
			 errores=errores-1;
		 	}
		}else{
		var texto = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradop != "si"){
		$('#mensajeErrores').html(texto + mensajep);
		}
		mostradop = "si";
		errores=errores+1;
		}
	 
	 
	}else{
		texto = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradosujecion!="si"){
		$('#mensajeErrores').html(texto + mensajesujecion);
		}
		mostradosujecion="si";	
		errores=errores+1;
	}
	

	 if(errores != 0){
		 texto = $('#mensajeErrores').html();
$('#mensajeErrores').addClass('alert alert-danger');
	if(mostradomensaje != "si"){
			$('#mensajeErrores').html(mensaje+texto);
			mostradomensaje="si";
	}
}else{
$('#mensajeErrores').removeClass('alert alert-danger');
$('#mensajeErrores').html("");
mostradomensaje="no";
}
	 
	
	 	 
	 	
		 	  	 
 if(errores <1){
		 $('#tablaBobinas tbody').append('<tr id="row_'+posBobina+'"><td class="text-center">'+anchura+'</td>'+
			    '<td class="text-center">'+dexterior+'</td>'+
				'<td class="text-center">'+peso+'</td>'+
				'<td class="text-center">'+											  
				'<a onclick="eliminarFila('+posBobina+')" class="btn btn-link btn-md" data-toggle="tooltip" role="button" title="Eliminar">'+
				'<!--<span class="glyphicon glyphicon-trash"></span>--> Eliminar</a>'+											
				'</td>'+
			   '</tr>');
		 	var bobina = new Object();
		 	bobina.anchura = anchura;
		 	bobina.diametroExt=dexterior;
		 	bobina.diametroInt=dinterior;
		 	bobina.peso=peso;
		 	bobina.densidad=densidad;
		 	listaBobinas.push(bobina);
		 	transporteObj.bobinas =listaBobinas;
	 }else{
	 }
		
	 	
 	 
 }

var listaBobinas = new Array();

var mostradocamion;
var mostradobobina;
var erroresol=0; 
var mostradomensajesol;
function solucion(){
	mensajebobina="<li id='mensajebobina'> No has introducido ninguna bobina o fleje</li> ";
	mensajecamion="<li id='mensajecamion'> No has elegido vehiculo</li>";
	mensaje="Se han producido los siguientes errores:"; 
	 
	if($('#selVehiculo1').hasClass("pulsado colorSeleccionado") || $('#selVehiculo2').hasClass("pulsado colorSeleccionado") || $('#selVehiculo3').hasClass("pulsado colorSeleccionado") || $('#selVehiculo3').hasClass("pulsado colorSeleccionado")){
		var borrarmensajec = document.getElementById('mensajecamion');
		if(borrarmensajec!=null){
			borrarmensajec.remove();
			mostradocamion="no";
			erroresol =erroresol -1;
		}
		
	}else{
		
		texto2 = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradocamion!="si"){
		$('#mensajeErrores').html(texto2 + mensajecamion);
		}
		mostradocamion="si";	
		erroresol = erroresol +1;
	}
	
	

	
	if($('#tablaBobinas >tbody >tr').length != 0){
		
		$("#introduccionDatos").removeClass("col-md-12");
		$("#introduccionDatos").addClass("col-md-7");
		$("#presentacionResultado").addClass("col-md-5");
		document.getElementById('presentacionResultado').style.display='block';
		$("#seltext1").removeClass("a-btn-text");
		$("#seltext1").addClass("a-btn-1-text");
		$("#seltext2").removeClass("a-btn-text");
		$("#seltext2").addClass("a-btn-1-text");
		$("#seltext3").removeClass("a-btn-text");
		$("#seltext3").addClass("a-btn-2-text");
		$("#seltext4").removeClass("a-btn-text");
		$("#seltext4").addClass("a-btn-1-text");
		$('#mensajeErrores').removeClass('alert alert-danger');
		$('#mensajeErrores').html("");
		mostradobobina="no";
		erroresol =erroresol -1;
	}else{
		texto2 = $('#mensajeErrores').html();
		$('#mensajeErrores').addClass('alert alert-danger');
		if(mostradobobina!="si"){
		$('#mensajeErrores').html(texto2 + mensajebobina);
		}		
		mostradobobina="si";
		erroresol = erroresol +1;
	}
	
	 if(erroresol != 0){
	 texto2 = $('#mensajeErrores').html();
	 $('#mensajeErrores').addClass('alert alert-danger');
	 if(mostradomensaje != "si"){
		 $('#mensajeErrores').html(mensaje + texto2);
	mostradomensaje="si";
	}
}else{
$('#mensajeErrores').removeClass('alert alert-danger');
$('#mensajeErrores').html("");
mostradomensaje="no";
}
	 
	 	 
}


function limpiar(){
	$("#introduccionDatos").removeClass("col-md-7");
	$("#introduccionDatos").addClass("col-md-12");
	$("#presentacionResultado").removeClass("col-md-5");
	document.getElementById('presentacionResultado').style.display='none';
	$("[id*='row_']").remove();
	$('#mensajeErrores').removeClass('alert alert-danger');
	$('#mensajeErrores').html("");
	$( "[id*='selVehiculo']").removeClass("pulsado colorSeleccionado");
	$( "[id*='seleccionaVehiculoSpan']").removeClass("a-btn-icon-right-sel");
	$( "[id*='selTipoSujecion']").removeClass("pulsado colorSeleccionado");
	$( "[id*='seleccionaTipoSujecionSpan']").removeClass("a-btn-icon-right-sel");	
	mostradocamion = null;
	mostradobobina = null;
	mostradop = null;
	mostradodi = null;
	mostradoa = null;
	mostradode = null;
	mostradosujecion = null;
	mostradomensaje = null;
	errores=0; 
	elegido=0;
}
function formatoTablaGrafico(){
	$("#estibaGrafico").removeClass("oculto");
	$("#ubicacionGrafico").removeClass("oculto");
	$("#estibaTablaGrafico").removeClass("oculto");	
	$("#estibaTabla").addClass("oculto");	
}
function formatoTabla(){
	$("#estibaGrafico").addClass("oculto");
	$("#ubicacionGrafico").addClass("oculto");
	$("#estibaTablaGrafico").addClass("oculto");	
	$("#estibaTabla").removeClass("oculto");	
}

function eliminarFila(pos){
	$("#row_" + pos).remove();
	listaBobinas.splice(pos,1);
}




/*SOLUCION*/

var transporteObj = new Object;
function serializeTransporte() {


	var vehiculo = new Object();
	var tipoSujecion= new Object();

	var vehiculot;
	
  			if($('#selVehiculo1').hasClass("pulsado colorSeleccionado")){
              vehiculot=1;
              }else if($('#selVehiculo2').hasClass("pulsado colorSeleccionado")){
              vehiculot=2;
              }else if($('#selVehiculo3').hasClass("pulsado colorSeleccionado")){
              vehiculot=3;
              }else if($('#selVehiculo4').hasClass("pulsado colorSeleccionado")){
              vehiculot=4;
            }
           
            vehiculo.codigo = vehiculot; 
           
             var tiposujt;
        if($('#selTipoSujecion1').hasClass("pulsado colorSeleccionado")){
              tiposujt=1;
              }else if($('#selTipoSujecion2').hasClass("pulsado colorSeleccionado")){
              tiposujt=2;
              }else if($('#selTipoSujecion3').hasClass("pulsado colorSeleccionado")){
              tiposujt=3;
              }else if($('#selTipoSujecion4').hasClass("pulsado colorSeleccionado")){
              tiposujt=4;
              }
		
		  tipoSujecion.codigo = tiposujt;
		  
		 

var listaBobinas = new Array();

	return transporteObj;
}
var transporte;
function realizaSimulacion() {
	transporte = serializeTransporte();
	simular($.rup.CTX_PATH + "calculador/simular", transporte);
}
var solTransporte = new Object;
function simular(url, transporte) {
	//aa16bUtils.feedback.cerrarFeedbacks($("#feedback_mecanizacion"));
	//url = aa16bUtils.util.setUrlNoCache(url);
	$.rup_ajax({
		url : url,
		type : "POST",
		data : JSON.stringify(transporte),
		contentType : "application/json",
		success : function(xhr, ajaxOptions) {
			var solicitud = $.parseJSON(xhr);
			solTransporte = solicitud.vehiculo;
			if(solicitud.codigo && solicitud.codigo!= null && solicitud.codigo!=''){
				/*$.rup_messages("msgOK", {
					
					/*message: aa16bUtils.util.messageFormatter($.rup.i18n.app.aa16b_mensajes.guardadoSolicitudOk,solicitud.codigo),
					title: $.rup.i18n.app.aa16b_titulos.registroSolicitud,*/
				/*	beforeClose: function () {
						location.reload();
					} 
				});*/
			}else{
			//aa16bUtils.feedback.pintarFeedbackError($.rup.i18n.app.aa16b_mensajes.guardadoSolicitudError,$('#feedback_mecanizacion'));
			}
		},
		error : function(error) {
			//aa16bUtils.feedback.pintarFeedbackError(error.responseText,$('#feedback_mecanizacion'));
		},
		beforeSend : function() {
			//aa16bUtils.util.bloquearInterfaz();
		},
		complete : function() {

			$("#introduccionDatos").removeClass("col-md-12");
			$("#introduccionDatos").addClass("col-md-7");
			$("#presentacionResultado").addClass("col-md-5");
			document.getElementById('presentacionResultado').style.display='block';
			
		}
	});
}
	
	
	


